org.eclipse.aether.spi.connector.checksum

## Interface ChecksumPolicyProvider

- All Known Implementing Classes:
    DefaultChecksumPolicyProvider

      public interface ChecksumPolicyProvider

  Assists repository connectors in applying checksum policies to downloaded resources.
  Restriction:
    This interface is not intended to be extended by clients.
  Restriction:
    This interface is not intended to be implemented by clients.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEffectiveChecksumPolicy(RepositorySystemSession session, String policy1, String policy2)` Returns the least strict policy.
    `ChecksumPolicy` | `newChecksumPolicy(RepositorySystemSession session, RemoteRepository repository, TransferResource resource, String policy)` Retrieves the checksum policy with the specified identifier for use on the given remote resource.

- - ### Method Detail

    - #### newChecksumPolicy

          ChecksumPolicy newChecksumPolicy(RepositorySystemSession session,
                                         RemoteRepository repository,
                                         TransferResource resource,
                                         String policy)

      Retrieves the checksum policy with the specified identifier for use on the given remote resource.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `repository` - The repository hosting the resource being transferred, must not be `null`.
        `resource` - The transfer resource on which the policy will be applied, must not be `null`.
        `policy` - The identifier of the policy to apply, must not be `null`.
      Returns:
        The policy to apply or `null` if checksums should be ignored.

    - #### getEffectiveChecksumPolicy

          String getEffectiveChecksumPolicy(RepositorySystemSession session,
                                          String policy1,
                                          String policy2)

      Returns the least strict policy. A checksum policy is said to be less strict than another policy if it would accept a downloaded resource in all cases where the other policy would reject the resource.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `policy1` - A policy to compare, must not be `null`.
        `policy2` - A policy to compare, must not be `null`.
      Returns:
        The least strict policy among the two input policies.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.